Rem -- This script will illustrate how to extract and process the text 
Rem -- of the printed output.

Sub OnConfigLoaded()
    Rem -- Modify the configuration to extract text from the printer 
    Rem -- output.
    Context("Config")("extracttext") = "yes"
End Sub

Sub OnPreprocessText()
    Const ForReading = 1
    Dim fn, f, fso, cnt
    Dim comment, p1, p2, l
    
    Rem -- Get the name of the text file from the context object
    fn = Context("TextFileName")
    
    Rem -- Count the pages of the text file. Each page is separated 
    Rem -- by a formfeed character chr(12).
    Set fso = CreateObject("Scripting.FilesystemObject")
    Set f = fso.OpenTextFile(fn, ForReading)
    While Not f.AtEndOfStream
        Rem -- Read a line from the text file
        l = f.ReadLine()

        Rem -- Look for the comment
        p1 = InStr(1, l, "Kommentar:")
        If p1 > 0 Then
            comment = Mid(l, p1 + 8)

            Rem -- Look for the tag after the comment.
            Rem -- This will determine where the comment ends.
            p2 = InStr(1, comment, "Treibername:")
            If p2 > 0 Then comment = Mid(comment, 1, p2 - 1)
            comment = Trim(comment)
        End If 
    Wend
    f.Close
  
    Rem -- Set the author value in the configuration
    Context("Config")("subject") = comment
End Sub